<?php
/**
 * @package    MaxDelivery
 * @subpackage TestSuite
 * @author     James Floyd <james@awarez.net>
 *
 * @TODO add header tests when simpletest is updated to the new version (1.0RC2)
 */

/**
 * A class for testing alg.php.
 */
class Delivery_Test_trjs extends Delivery_Test_Tracker
{
    
    /**
     * The constructor method.
     */
    function Delivery_TestOfLog()
    {        
        $this->WebTestCase();
    }
    
    
    /**
    * test_Log
    *
    * Test - 1: Test response for empty request
    * Test - 2: Test for header Content-type: "application/x-javascript"
    
    
    * Test - 3: Make sure response always ends with an image
    * Test - 4: Make sure response always ends with an image
    * 
    * @todo test - 1, add reference to delivery URL using globals
    * @todo test - 2, add reference to cookie name using globals name
    * @todo test - 3, implement once method has been implemented
    */
    function test_Log() {
        
        // 1.  Test empty request - should return document.write("");
        $this->createBrowser();
        $adlogUrl = "http://localhost/search/branches/ad_view_click_conversion/www/delivery/trjs.php";
        $this->get($adlogUrl);
        $this->assertResponse(200);
        
        $this->showHeaders();
    }
    
    
    /**
    * testImpressionLog
    *
    * Check data is being inserted as expected in to the DB
    * Test - 1: Test data write - data input is same as that in DB
    * Test - 2: Check that server_raw_tracker_impression_id is being incremented
    * 
    */
    function testImpressionLog() {
        $url = 'http://localhost/search/branches/ad_view_click_conversion/www/delivery/trjs.php?trackerId=1';
        parent::testImpressionLog($url);
    }
}

?>
