<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.2                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 Awarez Ltd.                                       |
| For contact details, see: http://www.awarez.net/                          |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: lib-db.inc.php 2183 2005-03-17 11:57:12Z andrew $
*/

// MySQL DB Resource
$phpAds_db_link = '';

// Add database name to table names if compatibility mode is used
if ($phpAds_config['compatibility_mode']) {
    $phpAds_config['tbl_acls']                                  = $phpAds_config['dbname'].".".$phpAds_config['tbl_acls'];
    $phpAds_config['tbl_ad_category_assoc']                     = $phpAds_config['dbname'].".".$phpAds_config['tbl_ad_category_assoc'];
    $phpAds_config['tbl_ad_zone_assoc']                         = $phpAds_config['dbname'].".".$phpAds_config['tbl_ad_zone_assoc'];
    $phpAds_config['tbl_affiliates']                            = $phpAds_config['dbname'].".".$phpAds_config['tbl_affiliates'];
    $phpAds_config['tbl_agency']                                = $phpAds_config['dbname'].".".$phpAds_config['tbl_agency'];
    $phpAds_config['tbl_application_variable']                  = $phpAds_config['dbname'].".".$phpAds_config['tbl_application_variable'];
    $phpAds_config['tbl_banners']                               = $phpAds_config['dbname'].".".$phpAds_config['tbl_banners'];
    $phpAds_config['tbl_cache']                                 = $phpAds_config['dbname'].".".$phpAds_config['tbl_cache'];
    $phpAds_config['tbl_campaigns']                             = $phpAds_config['dbname'].".".$phpAds_config['tbl_campaigns'];
    $phpAds_config['tbl_campaigns_trackers']                    = $phpAds_config['dbname'].".".$phpAds_config['tbl_campaigns_trackers'];
    $phpAds_config['tbl_category']                              = $phpAds_config['dbname'].".".$phpAds_config['tbl_category'];
    $phpAds_config['tbl_clients']                               = $phpAds_config['dbname'].".".$phpAds_config['tbl_clients'];
    $phpAds_config['tbl_config']                                = $phpAds_config['dbname'].".".$phpAds_config['tbl_config'];
    $phpAds_config['tbl_data_intermediate_ad']                  = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_intermediate_ad'];
    $phpAds_config['tbl_data_intermediate_ad_connection']       = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_intermediate_ad_connection'];
    $phpAds_config['tbl_data_intermediate_ad_variable_value']   = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_intermediate_ad_variable_value'];
    $phpAds_config['tbl_data_raw_ad_click']                     = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_raw_ad_click'];
    $phpAds_config['tbl_data_raw_ad_impression']                = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_raw_ad_impression'];
    $phpAds_config['tbl_data_raw_ad_request']                   = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_raw_ad_request'];
    $phpAds_config['tbl_data_raw_tracker_click']                = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_raw_tracker_click'];
    $phpAds_config['tbl_data_raw_tracker_impression']           = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_raw_tracker_impression'];
    $phpAds_config['tbl_data_raw_tracker_variable_value']       = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_raw_tracker_variable_value'];    
    $phpAds_config['tbl_data_summary_ad_hourly']                = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_summary_ad_hourly'];
    $phpAds_config['tbl_data_summary_zone_impression_history']  = $phpAds_config['dbname'].".".$phpAds_config['tbl_data_summary_zone_impression_history'];
    $phpAds_config['tbl_images']                                = $phpAds_config['dbname'].".".$phpAds_config['tbl_images'];
    $phpAds_config['tbl_log_maintenance']                       = $phpAds_config['dbname'].".".$phpAds_config['tbl_log_maintenance'];
    $phpAds_config['tbl_log_maintenance_statistics']            = $phpAds_config['dbname'].".".$phpAds_config['tbl_log_maintenance_statistics'];
    $phpAds_config['tbl_placement_zone_assoc']                  = $phpAds_config['dbname'].".".$phpAds_config['tbl_placement_zone_assoc'];
    $phpAds_config['tbl_session']                               = $phpAds_config['dbname'].".".$phpAds_config['tbl_session'];
    $phpAds_config['tbl_targetstats']                           = $phpAds_config['dbname'].".".$phpAds_config['tbl_targetstats'];
    $phpAds_config['tbl_trackers']                              = $phpAds_config['dbname'].".".$phpAds_config['tbl_trackers'];
    $phpAds_config['tbl_userlog']                               = $phpAds_config['dbname'].".".$phpAds_config['tbl_userlog'];
    $phpAds_config['tbl_variables']                             = $phpAds_config['dbname'].".".$phpAds_config['tbl_variables'];
    $phpAds_config['tbl_zones']                                 = $phpAds_config['dbname'].".".$phpAds_config['tbl_zones'];
}

/*-------------------------------------------------------*/
/* Check if the extension is available                   */
/*-------------------------------------------------------*/

function phpAds_dbAvailable()
{
	return (function_exists('mysql_connect'));
}

/*-------------------------------------------------------*/
/* Open a connection to the database			         */
/*-------------------------------------------------------*/

function phpAds_dbConnect($db = phpAds_adminDb)
{
	global $phpAds_config;
	global $phpAds_db_link, $phpAds_rawDb_link;
	
	if ($db == phpAds_rawDb) {
	    // Does the connection already exist?
	    if (isset($GLOBALS['_MAX']['RAW_DB_LINK'])) {
	        return $GLOBALS['_MAX']['RAW_DB_LINK'];
	    }
	    // Connect to the raw database
	    if (isset($phpAds_config['rawDbname'])) {
	       $dbport     = isset($phpAds_config['rawDbport']) ? $phpAds_config['rawDbport'] : 3306;
	       $dbhost     = $dbport != 3306 ? $phpAds_config['rawDbhost'].':'.$dbport : $phpAds_config['rawDbhost'];
	       $dbuser     = $phpAds_config['rawDbuser'];
	       $dbpassword = $phpAds_config['rawDbpassword'];
	       $dbname     = $phpAds_config['rawDbname'];
	    } else {
	        // Use the admin database as the raw database - normal Max
	        // users will do this when connecting to the "raw" database
	        $dbport     = isset($phpAds_config['dbport']) ? $phpAds_config['dbport'] : 3306;
	        $dbhost     = $dbport != 3306 ? $phpAds_config['dbhost'].':'.$dbport : $phpAds_config['dbhost'];
	        $dbuser     = $phpAds_config['dbuser'];
	        $dbpassword = $phpAds_config['dbpassword'];
	        $dbname     = $phpAds_config['dbname'];
	    }
	    if ($phpAds_config['persistent_connections']) {
	        $phpAds_rawDb_link = @mysql_pconnect($dbhost, $dbuser, $dbpassword);
	    } else {
	        $phpAds_rawDb_link = @mysql_connect($dbhost, $dbuser, $dbpassword);
	    }
	    if ($phpAds_config['compatibility_mode']) {
	        $GLOBALS['_MAX']['RAW_DB_LINK'] = $phpAds_rawDb_link;
	        return $phpAds_rawDb_link;
	    }
	    if (@mysql_select_db ($dbname, $phpAds_rawDb_link)) {
	        $GLOBALS['_MAX']['RAW_DB_LINK'] = $phpAds_rawDb_link;
	        return $phpAds_rawDb_link;
	    }
	} else {
	    // Does the connection already exist?
	    if (isset($GLOBALS['_MAX']['ADMIN_DB_LINK'])) {
	        return $GLOBALS['_MAX']['ADMIN_DB_LINK'];
	    }
	    // Connect to the admin database
	    $dbport     = isset($phpAds_config['dbport']) ? $phpAds_config['dbport'] : 3306;
	    $dbhost     = $dbport != 3306 ? $phpAds_config['dbhost'].':'.$dbport : $phpAds_config['dbhost'];
	    $dbuser     = $phpAds_config['dbuser'];
	    $dbpassword = $phpAds_config['dbpassword'];
	    $dbname     = $phpAds_config['dbname'];
	    if ($phpAds_config['persistent_connections']) {
	        $phpAds_db_link = @mysql_pconnect($dbhost, $dbuser, $dbpassword);
	    } else {
	        $phpAds_db_link = @mysql_connect($dbhost, $dbuser, $dbpassword);
	    }
	    if ($phpAds_config['compatibility_mode']) {
	        $GLOBALS['_MAX']['ADMIN_DB_LINK'] = $phpAds_db_link;
	        return $phpAds_db_link;
	    }
	    if (@mysql_select_db ($dbname, $phpAds_db_link)) {
	        $GLOBALS['_MAX']['ADMIN_DB_LINK'] = $phpAds_db_link;
	        return $phpAds_db_link;
	    }
	}
}

/*-------------------------------------------------------*/
/* Close the connection to the database			         */
/*-------------------------------------------------------*/

function phpAds_dbClose($db = phpAds_adminDb)
{
	// Never close the database connection, because
	// it may interfere with other scripts which
	// share the same connection.
	global $phpAds_db_link, $phpAds_rawDb_link;
	switch($db) {
    case phpAds_rawDb: 
        // mysql_close($phpAds_rawDb_link);
        break;
    case phpAds_adminDb:
        // mysql_close($phpAds_db_link);
        break;
	default:
        break;
	}
}

/*-------------------------------------------------------*/
/* Execute a query								         */
/*-------------------------------------------------------*/

function phpAds_dbQuery($query, $db = phpAds_adminDb)
{
    global $phpAds_last_query;
	global $phpAds_db_link, $phpAds_rawDb_link;
    $phpAds_last_query = $query;
    return @mysql_query($query, $db == phpAds_adminDb ? $phpAds_db_link : $phpAds_rawDb_link);
}

/*-------------------------------------------------------*/
/* Get the number of rows returned                       */
/*-------------------------------------------------------*/

function phpAds_dbNumRows($res)
{
	return @mysql_num_rows($res);
}

/*-------------------------------------------------------*/
/* Get next row as an array with keys                    */
/*-------------------------------------------------------*/

function phpAds_dbFetchArray($res)
{
	return @mysql_fetch_array($res, MYSQL_ASSOC);
}

/*-------------------------------------------------------*/
/* Get next row as an array                              */
/*-------------------------------------------------------*/

function phpAds_dbFetchRow($res)
{
	return @mysql_fetch_row($res);
}

/*-------------------------------------------------------*/
/* Get a specific row and column                         */
/*-------------------------------------------------------*/

function phpAds_dbResult($res, $row, $column)
{
	return @mysql_result($res, $row, $column);
}

/*-------------------------------------------------------*/
/* Return the number of affected rows                    */
/*-------------------------------------------------------*/

function phpAds_dbAffectedRows($db = phpAds_adminDb)
{
	global $phpAds_db_link, $phpAds_rawDb_link;
	return @mysql_affected_rows($db == phpAds_adminDb ? $phpAds_db_link : $phpAds_rawDb_link);
}

/*-------------------------------------------------------*/
/* Get the ID of the last inserted row                   */
/*-------------------------------------------------------*/

function phpAds_dbInsertID($db = phpAds_adminDb)
{
	global $phpAds_db_link, $phpAds_rawDb_link;
	return @mysql_insert_id($db == phpAds_adminDb ? $phpAds_db_link : $phpAds_rawDb_link);
}

/*-------------------------------------------------------*/
/* Get the error message if something went wrong         */
/*-------------------------------------------------------*/

function phpAds_dbError ($db = phpAds_adminDb)
{
	global $phpAds_db_link, $phpAds_rawDb_link;
	return @mysql_error($db == phpAds_adminDb ? $phpAds_db_link : $phpAds_rawDb_link);
}

function phpAds_dbErrorNo ($db = phpAds_adminDb)
{
	global $phpAds_db_link, $phpAds_rawDb_link;
	return @mysql_errno($db == phpAds_adminDb ? $phpAds_db_link : $phpAds_rawDb_link);
}

/*-------------------------------------------------------*/
/* Obtain/release the maintenance priority lock          */
/*-------------------------------------------------------*/

/**
 * Obtains an advisory database lock for the maintenance priority process.
 *
 * @return boolean True if lock was obtained, false otherwise.
 */
function obtainPriorityLock()
{
    $query = "SELECT GET_LOCK('priority', 1) AS 'lock'";
    $res = phpAds_dbQuery($query);
    $row = phpAds_dbResult($res, 0, 'lock');
    if ($row[0] == 1) {
        // Lock obtained successfully
        return true;
    }
    return false;
}

/**
 * Releases the advisory database lock for the maintenance priority process.
 */
function releasePriorityLock()
{
   $query = "SELECT RELEASE_LOCK('priority')";
   $res = phpAds_dbQuery($query);
}

?>